function $AdfIEShowContextMenuEvent$$($sourceComponent$$10$$, $type$$129$$, $event$$83$$) {
  $AdfIEShowContextMenuEvent$$.$superclass$.Init.apply(this, arguments);
}
$goog$exportSymbol$$("AdfIEShowContextMenuEvent", $AdfIEShowContextMenuEvent$$);
$AdfObject$$.$createSubclass$($AdfIEShowContextMenuEvent$$, $AdfDomShowContextMenuEvent$$);
$AdfIEShowContextMenuEvent$$.prototype.$isPositionalRequest$ = function $$AdfIEShowContextMenuEvent$$$$$isPositionalRequest$$() {
  var $event$$84_ret$$2$$ = $AdfIEShowContextMenuEvent$$.$superclass$.$isPositionalRequest$.apply(this, arguments);
  $event$$84_ret$$2$$ || ($event$$84_ret$$2$$ = this.$getNativeEvent$(), $event$$84_ret$$2$$ = $AdfAgent$$.$AGENT$.$pointInElementBounds$(this.$GetSourceDomElement$(), $event$$84_ret$$2$$.clientX, $event$$84_ret$$2$$.clientY));
  return $event$$84_ret$$2$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfIEShowContextMenuEvent.prototype.isPositionalRequest", {$isPositionalRequest$:$AdfIEShowContextMenuEvent$$.prototype.$isPositionalRequest$});
